com.fasterxml.jackson.databind.introspect

## Class AccessorNamingStrategy.Provider

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AccessorNamingStrategy.Provider

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DefaultAccessorNamingStrategy.Provider

Enclosing class:
  AccessorNamingStrategy

    public abstract static class AccessorNamingStrategy.Provider
    extends Object
    implements Serializable

Interface for provider (factory) for constructing `AccessorNamingStrategy` for given type of deserialization target

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Provider()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract AccessorNamingStrategy` `forBuilder(MapperConfig<?> config, AnnotatedClass builderClass, BeanDescription valueTypeDesc)` Factory method for creating strategy instance for POJOs that are deserialized using Builder type: in this case eventual target (value) type is different from type of "builder" object that is used by databinding to accumulate state.
`abstract AccessorNamingStrategy` `forPOJO(MapperConfig<?> config, AnnotatedClass valueClass)` Factory method for creating strategy instance for a "regular" POJO, called if none of the other factory methods is applicable.
`abstract AccessorNamingStrategy` `forRecord(MapperConfig<?> config, AnnotatedClass recordClass)` Factory method for creating strategy instance for special `java.lang.Record` type (new in JDK 14).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Provider

    public Provider()

### Method Detail

#### forPOJO

    public abstract AccessorNamingStrategy forPOJO(MapperConfig<?> config,
                                                   AnnotatedClass valueClass)

Factory method for creating strategy instance for a "regular" POJO, called if none of the other factory methods is applicable.

Parameters:
  `config` - Current mapper configuration
  `valueClass` - Information about value type
Returns:
  Naming strategy instance to use

#### forBuilder

    public abstract AccessorNamingStrategy forBuilder(MapperConfig<?> config,
                                                      AnnotatedClass builderClass,
                                                      BeanDescription valueTypeDesc)

Factory method for creating strategy instance for POJOs that are deserialized using Builder type: in this case eventual target (value) type is different from type of "builder" object that is used by databinding to accumulate state.

Parameters:
  `config` - Current mapper configuration
  `builderClass` - Information about builder type
  `valueTypeDesc` - Information about the eventual target (value) type
Returns:
  Naming strategy instance to use

#### forRecord

    public abstract AccessorNamingStrategy forRecord(MapperConfig<?> config,
                                                     AnnotatedClass recordClass)

Factory method for creating strategy instance for special `java.lang.Record` type (new in JDK 14).

Parameters:
  `config` - Current mapper configuration
  `recordClass` - Information about value type (of type `java.lang.Record`)
Returns:
  Naming strategy instance to use